From 95518df9f9eaecdd0613658e699cc2d6410fdc49 Mon Sep 17 00:00:00 2001
From: Zzull <bstrazzull@hotmail.fr>
Date: Sat, 29 Oct 2022 18:58:25 +0200
Subject: [PATCH 13/13] gnu: Add clojure-cheshire

* gnu/packages/clojure.scm (clojure-cheshire): New variable.
---
 gnu/packages/clojure.scm | 31 +++++++++++++++++++++++++++++++
 1 file changed, 31 insertions(+)

diff --git a/gnu/packages/clojure.scm b/gnu/packages/clojure.scm
index 1747e67693..56e601badc 100644
--- a/gnu/packages/clojure.scm
+++ b/gnu/packages/clojure.scm
@@ -832,3 +832,34 @@ (define-public clojure-tools-gitlibs
 indicated by git SHAs.  This library provides this functionality and also
 keeps a cache of git directories and working trees that can be reused.")
     (license license:epl1.0)))
+
+(define-public clojure-cheshire
+  (package
+    (name "clojure-cheshire")
+    (version "5.11.0")
+    (source (origin
+              (method git-fetch)
+              (uri (git-reference
+                    (url "https://github.com/dakrone/cheshire")
+                    (commit version)))
+              (file-name (git-file-name name version))
+              (sha256
+               (base32
+                "1hhhc4z9ns2sa0g16yvi5dxa189x7fn5dwkzx3710kwimakz12j4"))))
+    (build-system clojure-build-system)
+    (arguments
+     '(#:java-source-dirs '("src/java")
+       #:doc-dirs '()))
+    (inputs
+     (list java-fasterxml-jackson-core-2.12.2
+           java-fasterxml-jackson-dataformat-smile
+           java-fasterxml-jackson-dataformat-cbor
+           clojure-tigris
+           clojure-test-generative))
+    (home-page "https://github.com/dakrone/cheshire")
+    (synopsis "Clojure JSON and JSON SMILE (binary json format)
+encoding/decoding")
+    (description "Clojure-cheshire is fast JSON encoding, based off of
+clj-json and clojure-json, with additional features like Date/UUID/Set/Symbol
+encoding and SMILE support.")
+    (license license:expat))) ; MIT license
-- 
2.38.0

